#ifndef __SYS_HTPORT_H__
#define __SYS_HTPORT_H__
#pragma linkage C

/*
 * htport.h
 *
 * Header file for host textport.
 */

#ident "$Revision: 1.1 $"

#if defined(_LANGUAGE_C) || defined(_LANGUAGE_C_PLUS_PLUS)

struct htp_bitmap {
	unsigned short *buf;
	short xsize, ysize;
	short xorig, yorig;
	short xmove, ymove;
	short sper;
};

struct htp_fncs {
        void (*init)(void *);
        void (*mapcolor)(void *, int, int, int, int);
        void (*color)(void *, int);
        void (*sboxfi)(void *, int, int, int, int);
        void (*pnt2i)(void *, int, int);
        void (*drawbitmap)(void *, struct htp_bitmap *);
        void (*cmov2i)(void *, int, int);
        void (*unblank)(void *);
};

extern int htp_register_board(void *, struct htp_fncs *, int, int);

#endif /* C || C++ */

#pragma linkage
#endif /* !__SYS_HTPORT_H__ */
